﻿/* Initials */
body {
    overflow-x: hidden;
}

.home-Container {
    position: relative;
    height: 80vh;
    width: 100%;
    display: flex;
    align-items: flex-start;
    background-color: transparent;
    justify-content: center;
    padding-top: 20vh;
}

/* Wind Effect */
.wind-path {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

.wind-current {
    fill: none;
    stroke: rgba(0, 255, 255, 1);
    stroke-width: .1;
    stroke-linecap: round;
    stroke-dasharray: 100;
    animation: windMovement 4s linear infinite;
}

    .wind-current:nth-child(2) {
        stroke: rgba(0, 255, 255, 1);
        animation-duration: 6s;
        animation-delay: 1s;
    }

    .wind-current:nth-child(3) {
        stroke: rgba(0, 255, 255, 1);
        animation-duration: 5s;
        animation-delay: 2s;
    }

    .wind-current:nth-child(4) {
        stroke: rgba(0, 255, 255, 1);
        animation-duration: 7s;
        animation-delay: 3s;
    }

@keyframes windMovement {
    0% {
        stroke-dashoffset: 1000;
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        stroke-dashoffset: 0;
        opacity: 0;
    }
}

/* Game Cards */
.game-grid {
    justify-content: center;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(12.5vw, 15vw));
    gap: 2.5vw;
    width: 100%;
    max-width: 100vw;
}

.game-tile {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: transparent;
    backdrop-filter: blur(10px);
    border-radius: 15px;
    padding: .8vw;
    text-align: center;
    transition: transform 0.2s;
    border: outset .3vw black;
    cursor: pointer;
    box-shadow: none;
}

    .game-tile img {
        width: 95%;
        height: auto;
        border-radius: 10px;
        margin-bottom: 1vw;
        pointer-events: none;
        border: outset .2vw cyan;
    }

    .game-tile h3 {
        font-size: .7vw;
        font-family: CF1;
        margin: 0;
        color: black;
    }

    .game-tile:hover {
        transform: scale(1.1);
        box-shadow: 0 0 30px rgba(0, 255, 255, 1);
    }

        .game-tile:hover:last-of-type {
            transform: none;
            box-shadow: none;
        }
